module main

go 1.23.2

require (
	github.com/PuerkitoBio/goquery v1.10.2
	github.com/chromedp/chromedp v0.13.1
	github.com/gorilla/websocket v1.5.3
	github.com/ssgo/httpclient v1.7.8
	github.com/ssgo/log v1.7.7
	github.com/ssgo/s v1.7.22
	github.com/ssgo/u v1.7.13
)

require (
	github.com/andybalholm/cascadia v1.3.3 // indirect
	github.com/chromedp/cdproto v0.0.0-20250222051814-50c6cb17f10a // indirect
	github.com/chromedp/sysutil v1.1.0 // indirect
	github.com/go-json-experiment/json v0.0.0-20250211171154-1ae217ad3535 // indirect
	github.com/go-ole/go-ole v1.3.0 // indirect
	github.com/gobwas/httphead v0.1.0 // indirect
	github.com/gobwas/pool v0.2.1 // indirect
	github.com/gobwas/ws v1.4.0 // indirect
	github.com/gomodule/redigo v1.9.2 // indirect
	github.com/lufia/plan9stats v0.0.0-20240909124753-873cd0166683 // indirect
	github.com/power-devops/perfstat v0.0.0-20240221224432-82ca36839d55 // indirect
	github.com/shirou/gopsutil/v3 v3.24.5 // indirect
	github.com/shoenig/go-m1cpu v0.1.6 // indirect
	github.com/ssgo/config v1.7.9 // indirect
	github.com/ssgo/discover v1.7.9 // indirect
	github.com/ssgo/redis v1.7.7 // indirect
	github.com/ssgo/standard v1.7.7 // indirect
	github.com/tklauser/go-sysconf v0.3.14 // indirect
	github.com/tklauser/numcpus v0.9.0 // indirect
	github.com/yusufpapurcu/wmi v1.2.4 // indirect
	golang.org/x/net v0.35.0 // indirect
	golang.org/x/sys v0.30.0 // indirect
	golang.org/x/text v0.22.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
)
